rem ========== Compile for CH552/4 using SDCC...

set project_name=blink4
set xram_size=0x0400
set xram_loc=0x0000
set code_size=0x3800
set dfreq_sys=24000000

rem ========== compile...
sdcc -c %project_name%.c 

rem ========== link...
sdcc %project_name%.rel -lch554_debug_SDCC.lib
rem ========== create a std hex file...
packihx %project_name%.ihx > %project_name%.hex

pause
@echo off 
del %project_name%.lk
del %project_name%.map
del %project_name%.mem
del %project_name%.ihx
del *.asm
del *.lst
del *.rel
rem del *.rst
del *.sym
@echo on

rem ========== Check for errors. If ok, open WCHISPTool to program CH552/Ch554 board
