// simple lib demo
#include "CH554.h"
#include "ch554_debug.h"

// ===== main.c ========================================================================================================

uint8_t wait = 250;

// Port 1.4
#define LED_PIN14 4
SBIT(LED14, 0x90, LED_PIN14);
// Port 3.4
#define LED_PIN34 4
SBIT(LED34, 0xB0, LED_PIN34);


void main() 
{
    fSysSelect(FSYS_SELECT_24M);

    P1_MOD_OC = P1_MOD_OC |(1<<LED_PIN14);
    P1_DIR_PU = P1_DIR_PU |	(1<<LED_PIN14);
	
    P3_MOD_OC = P3_MOD_OC |(1<<LED_PIN34);
    P3_DIR_PU = P3_DIR_PU |	(1<<LED_PIN34);
	
    while (1) 
    {
    	  mDelaymS(wait);
        LED14 = !LED14;
        LED34 = !LED34;
        mDelaymS(wait);
		}
}
// =====================================================================================================================
